package org.gcube.applicationsupportlayer.social;

import org.gcube.application.framework.core.session.ASLSession;
import org.gcube.common.core.utils.logging.GCUBEClientLog;
import org.gcube.portal.databook.server.DBCassandraAstyanaxImpl;
import org.gcube.portal.databook.server.DatabookStore;
import org.gcube.portal.databook.shared.NotificationType;
import org.gcube.portlets.user.homelibrary.home.workspace.WorkspaceFolder;
import org.gcube.portlets.user.homelibrary.home.workspace.WorkspaceItem;
/**
 * 
 * @author Massimiliano Assante, ISTI-CNR
 * @version 0.1 Dec 2012
 *
 */
public class AslNotificationManager implements NotificationManager {
	GCUBEClientLog log = new GCUBEClientLog(AslNotificationManager.class);

	private ASLSession session;
	private DatabookStore store;
	
	public AslNotificationManager(ASLSession session) {
		this.session = session;
		store = new DBCassandraAstyanaxImpl();
	}

	@Override
	public boolean notifyFolderSharing(String userIdToNotify, WorkspaceFolder sharedFolder) {
		return true;
	}

	@Override
	public boolean notifyFolderAddedUser(String userIdToNotify, WorkspaceFolder sharedFolder, String newAddedUserId) {
		return true;
	}

	@Override
	public boolean notifyFolderRemovedUser(String userIdToNotify, WorkspaceFolder sharedFolder, String removedUserId) {
		return true;
	}

	@Override
	public boolean notifyAddedItem(String userIdToNotify, WorkspaceItem newItem) {
		return true;
	}

	@Override
	public boolean notifyRemovedItem(String userIdToNotify,	WorkspaceItem removedItem) {
		return true;
	}

	@Override
	public boolean notifyUpdatedItem(String userIdToNotify,	WorkspaceItem updatedItem) {
		return true;
	}

}
